datacache <- new.env(hash=TRUE, parent=emptyenv())

SHDZ <- function() showQCData("SHDZ", datacache)
SHDZ_dbconn <- function() dbconn(datacache)
SHDZ_dbfile <- function() dbfile(datacache)
SHDZ_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
SHDZ_dbInfo <- function() dbInfo(datacache)

SHDZORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "SHDZ.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "SHDZ", "chip SHDZ", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(SHDZ_dbconn())
}

